{% extends "base.html" %}

{% block title %}
Category List
{% endblock title %}

{% block content %}
<main>
    <h1>My expense categories</h1>
        <table>
            <thead>
                <th>Name</th>
                <th>Number of receipts</th>
            </thead>
            <tbody>
                {% for category in categories.all %}
                    <tr>
                        <td>{{ category.name }}</td>
                        <td>{{ category.receipts.all|length }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
</main>
{% endblock content %}
